\documentclass[twoside,openright,11pt]{report}


\newcommand{\todo}[1]{[{\textbf{todo}}: {\em\color{red} #1}]}

\newcommand{\deliverabletitle}{Interim Report 1}
\newcommand{\deliverabletitleshort}{Interim Report 1}
\newcommand{\reportnumber}{1}
\newcommand{\deliverabledate}{November 2018}

\newcommand{\eg}{\mbox{e.g.}\xspace}
\newcommand{\ie}{\mbox{i.e.}\xspace}

\newcommand{\deliverableauthorlist}{
Antonela Debiasi, Roger Dingledine, Arthur Edelstein, Alexander F\ae r\o y, \\
Matthew Finkel, David Goulet, Kat Hanna, Maggie Haughey, George Kadianakis, \\
Iain R. Learmonth, Alison Macrina, Maria Xynou }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% LATEX MACHINERY BEGINS HERE - NO USER-SERVICEABLE PARTS INSIDE
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Document geometry
%

% Set up for letter rather than A4
\usepackage[left=.75in,right=.75in,top=1in,bottom=1in,foot=48pt]{geometry}

%\setlength{\textheight}{230mm}
%\setlength{\textwidth}{160mm}
%\setlength{\voffset}{-25mm}
%\setlength{\oddsidemargin}{0mm}
%\setlength{\evensidemargin}{0mm}
\addtolength{\parskip}{0.33\baselineskip}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Package definitions
%

\usepackage{helvet}
\usepackage{graphicx}
\usepackage{subfigure}
\usepackage{color}
\usepackage{xcolor}
\usepackage{chngcntr}
\usepackage{longtable}
\usepackage{lastpage}
\usepackage{fancyhdr}
\usepackage{setspace}
\usepackage{url}
\usepackage{amsmath}
\usepackage{acronym}
\usepackage{listings}
\usepackage{balance}
\usepackage{array}
\usepackage{hyperref}
\usepackage{xspace}
\usepackage{ccicons}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Font definitions
%
\renewcommand\familydefault{\sfdefault}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Heading style definitions
%

\setcounter{secnumdepth}{4}

\makeatletter
\renewcommand{\chapter}{\@startsection{chapter}{0}{0mm}
  {\baselineskip}%
  {\baselineskip}{\clearpage\LARGE\bf\color{black}}}
\renewcommand{\section}{\@startsection{section}{1}{0mm}
  {\baselineskip}%
  {\baselineskip}{\LARGE\color{black}}}%
\renewcommand{\subsection}{\@startsection{subsection}{2}{0mm}
  {\baselineskip}%
  {\baselineskip}{\Large\color{black}}}%
\renewcommand{\subsubsection}{\@startsection{subsubsection}{3}{0mm}
  {\baselineskip}%
  {\baselineskip}{\large\color{black}}}%
\makeatother

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Table of contents styling
%
% Finamore: added dotted lines also for chapters
% solution found at http://tex.stackexchange.com/questions/62438/how-to-add-leaders-to-table-of-contents-without-tocloft
\makeatletter
\renewcommand*\l@chapter[2]{%
    \ifnum \c@tocdepth >\m@ne
        \addpenalty{-\@highpenalty}%
        \vskip 1.0em \@plus\p@
        \setlength\@tempdima{1.5em}%
        \begingroup
        \parindent \z@ \rightskip \@pnumwidth
        \parfillskip -\@pnumwidth
        \leavevmode %\bfseries
        \advance\leftskip\@tempdima
        \hskip -\leftskip
        #1\nobreak
        \xleaders\hbox{$\m@th
        \mkern \@dotsep mu\hbox{.}\mkern \@dotsep mu$}\hfill%
        \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
        \penalty\@highpenalty
        \endgroup
    \fi}
\renewcommand*\l@section{\@dottedtocline{1}{1.5em}{2.3em}}
\renewcommand*\l@subsection{\@dottedtocline{2}{3.8em}{3.2em}}
\renewcommand*\l@subsubsection{\@dottedtocline{3}{7.0em}{4.1em}}
\renewcommand*\l@paragraph{\@dottedtocline{4}{10em}{5em}}
\renewcommand*\l@subparagraph{\@dottedtocline{5}{12em}{6em}}
\renewcommand*{\@dotsep}{1}
\makeatother

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Header and footer definitions
%

%\setlength{\headheight}{52pt}
%\setlength{\footskip}{47pt}
\renewcommand{\headrulewidth}{0pt}
\pagestyle{fancyplain}

%\fancyhead[L]{\textsf{DoS Resilience \\ D\reportnumber ~\deliverabletitleshort}}
\fancyhead[L]{\textsf{Addressing Denial of Service Attacks on Free and Open Communication on the Internet \\ \deliverabletitleshort}}
\fancyhead[R]{\setlength{\unitlength}{1mm}
\begin{picture}(0,0)
  %\put(-70,-4){\includegraphics[width=70mm]{logos/EC-H2020.png}}
\end{picture}
}
\fancyfoot[L]{\setlength{\unitlength}{1mm}
\begin{picture}(0,0)
  \put(0,6){\includegraphics[width=10mm]{../torlogo.png}}
\end{picture}
}
\fancyfoot[C]{\vspace{-10mm}\textsf{\thepage\hspace{0.3em}of \pageref{LastPage}}}
\fancyfoot[R]{\vspace{-10mm}\textsf{\deliverabledate}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Miscellaneous document adjustments go here

% Call the bibliography a references section
\renewcommand*{\bibname}{References}

% Number figures and tables globally
\counterwithout{figure}{chapter}
\counterwithout{table}{chapter}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define some colors

\definecolor{darkred}{RGB}{128, 0, 0}
\definecolor{darkgray}{RGB}{95, 95, 95}

\definecolor{architecuregreen}{RGB}{135, 222, 170}
\definecolor{experimentationblue}{RGB}{128, 179, 255}
\definecolor{measurementred}{RGB}{255, 128, 128}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define some useful commands
 %\EDNOTE{who}{what} - place an editor's note in the document.
 %\INNOTE{who}{what} - place an inline note in the document

\newcommand{\EDNOTE}[2]{
  \par\large\centerline{
  \mbox{
  \begin{tabular}{ll}
    \textsf{\textbf{#1}} &
    \fbox{
    \begin{minipage}{0.6\linewidth}
      \em\color{red} #2
    \end{minipage}
    }
  \end{tabular}
  }}
  \par\vspace{4mm}
}

\newcommand{\INNOTE}[2]{[\textsf{\textbf{#1}}: {\em\color{red} #2}]}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\acrodef{AQM}{Active Queue Management}
\acrodef{ECN}{Explicit Congestion Notification}
\acrodef{EWMA}{Exponential Weighted Moving Average}
\acrodef{FEC}{Forward Error Correction}
\acrodef{IETF}{Internet Engineering Task Force}
\acrodef{MAMI}{Measurement and Architecture for a Middleboxed Internet}
\acrodef{MCP}{Middlebox Cooperation Protocol}
\acrodef{RED}{Random Early Detection}
\acrodef{RTT}{Round-Trip Time}
\acrodef{TCP}{Transmission Control Protocol}
\acrodef{TTL}{Time-To-Live}
\acrodef{NAT}{Network Address Translation}
\acrodef{UDP}{User Datagram Protocol}
\acrodef{MTU}{Maximum Transmission Unit}
\acrodef{MSS}{Maximum Segment Size}
\acrodef{PMTUD}{Path MTU Discovery}
\acrodef{PLPMTUD}{Packetization Layer Path MTU Discovery}
\acrodef{DPLPMTUD}{Datagram Packetization Layer Path MTU Discovery}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Front page
%
\begin{document}
\thispagestyle{empty}
\parindent0pt

\newcolumntype{R}[1]{>{\raggedleft}p{#1}}

%\begin{tabular}{R{130mm} p{26mm}}
%    \vspace{0pt}
%    {\bf\small\color{darkgray} H2020 European Union funding \\ for Research \& Innovation}
%    {\small\color{darkgray} This project has received funding from the funder \\
%    research and innovation programme under grant agreement No $x$ where $x > 0$.}
%
%    &
%    \vspace{0pt}
%    %\includegraphics[width=26mm]{logos/eu_flag_small.jpg}
%\end{tabular}

\vspace{20mm}

\begin{center}
\hspace{-3mm}\includegraphics[width=90mm]{../torlogo.png}
\end{center}

\vspace{5mm}
\centerline{\rule{0em}{1.5em}\LARGE\bf\color{black}Addressing Denial of Service Attacks on}
\vspace{5mm}
\centerline{\rule{0em}{1.5em}\LARGE\bf\color{black}Free and Open Communication on the Internet}
%\vspace{5mm}
%\centerline{\rule{0em}{1.5em}\bf\Large\color{darkgray}H2020-ICT-688421}

\vspace{20mm}

\begin{centering}
\fbox{
  \begin{minipage}{\linewidth}
    \vspace*{1mm}
    \center
    \huge\em\bf\color{darkred}\deliverabletitle
  \end{minipage}
}
%\centerline{\huge\em\bf\color{sangria}\deliverabletitle}

\vspace{2mm}

\fbox{
  \begin{minipage}{\linewidth}
      \large\textsf{
        \begin{tabular}{lll}
          \textbf{Authors:}
          \deliverableauthorlist
        \end{tabular}}
  \end{minipage}
}

\vspace{5mm}

\mbox{\begin{minipage}{\linewidth}
    \textsf{\begin{tabular}{ll}
        %\textbf{Report Number:}             & D\reportnumber \\
        \textbf{Date of Delivery:} \deliverabledate\\
		\\
		\textbf{Distribution Statement A.} Approved for Public Release, Distribution Unlimited \\
		\\
		This work is licensed under a \href{https://creativecommons.org/licenses/by/4.0/legalcode}{Creative Commons Attribution 4.0 International License}. \ccby
    \end{tabular}}

\end{minipage}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Disclaimer
%
%\clearpage
%
% \mbox{\begin{minipage}{\linewidth}
% \addcontentsline{toc}{chapter}{Disclaimer}
% {\LARGE\em\bf\color{black}{Disclaimer}}
%
% \vspace{10mm}
% \em{
% \todo{I guess we need some disclaimer here related to the funding}
% }
% \end{minipage}}


 \end{centering}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Table of contents
%
\clearpage
\tableofcontents

\chapter{Introduction}
%\addcontentsline{toc}{chapter}{Introduction}
\label{chap:intro}

\input{intro.tex}

\chapter{Better Pluggable Transports for Actively Censored Regimes}
\label{chap:better-pts}

\section{Bridge distribution and pluggable transports}

\input{task7a.tex}

\section{Tor Browser and pluggable transports}

\input{task7b.tex}

\chapter{Beyond Web Browsing}
\label{chap:more-apps}

\input{task9.tex}

\chapter{Performance Under Resource Constraints}
\label{chap:perf-bad-networks}

\input{task10.tex}

\input{task10c.tex}

\chapter{Network and Censorship Measurement}
\label{chap:measurement}

\input{task11.tex}

\chapter{Onion Routing Network Defense}
\label{chap:network-defense}

\input{task6.tex}

\chapter{A Stronger Research Community}
\label{chap:stronger-research}

\input{task8.tex}

\chapter{Conclusion}
\label{chap:conclusion}

\input{conclusion.tex}

\chapter{Acknowledgements}
\input{acknowledgements.tex}

\bibliographystyle{plain}
\bibliography{../sponsor19,../rfc,../tortechreports,../references}

\end{document}
